@charset "UTF-8";
/* =========== 会員ページ用　====== */
body{
width:100%;
max-width:1100px;
margin: auto;
background-color:#E6F3F1;
font-family :"メイリオ","ＭＳ Ｐゴシック","MS UI Gothic",sans-serif;
font-size: clamp (16px, 2.5vw, 24px);
}

/* reset.css  */
header,
footer.
main,
nav,
article,
section{
display: block;
}

/* =========== 構成要素:headernav,,main,foote r====== */
/* header */
h1{
font-size : xx-large;
line-height :50px;
width:100%;
text-align : center;
background-color : #ccc;
margin:0;
padding:0;
}
h2{
font-size : x-large;
line-height :50px;
margin:0px;
padding:0px;
}

h3{
font-size : large;
line-height :1;
margin:0;
padding:2%;
}

.topnav{
display: block;
background-color : #000;
height :1;
width:100%;
margin:0;
padding:0;
}
.topnav ul{
list-style: none; 
width:100%;
text-align : center;
margin:0;
padding:0;
display: flex; /* Flexboxコンテナとして設定 */
flex-direction:row;
}
.topnav li{
margin :0% 0%;
text-decoration: none;
justify-content : space-around;
padding:1% 3%;
margin-bottom:0;
line-height :30px;
color: #fff;
}
.topnav li a{
text-decoration: none;
color:white;
}


header{
background-color : #666;
width : 100%; 
background-image:url(6s.jpg);
}
.mokuzi{
display: block;
background-color : #369;
height :1;
width:100%;
margin:0;
padding:0;
}
.mokuzi ul{
list-style: none; 
width:100%;
text-align : center;
margin:0;
padding:0;
display: flex; /* Flexboxコンテナとして設定 */
flex-direction:row;
}
.mokuzi li{
margin :0% 0%;
text-decoration: none;
justify-content : space-around;
	padding:1% 3%;
	margin-bottom:0;
line-height :30px;
color: #fff;
}
.mokuzi li a{
text-decoration: none;
color:white;
}

/*  基本、パソコン対応  */
.container {
    display: flex; /* Flexboxコンテナとして設定 */
　　flex-direction:row;
    width: 100%;
    min-height: 100vh; /*画面全体の高さを確保（必要に応じて調整） */
}

.main-content {
    flex-grow: 1;     /*  サイドに250px当て、残りの意味。※最初の3だった。⇒サイドバーの3倍の幅を占める (例: 75%相当) */
    flex:auto;
    padding: 0px;
    background-color: #f4f4f4;
}

/* 会のイメージ（第一印象）  */
#section1 {
	padding-top :0px;
	text-aling:left;
	}
#section1 h2{
	font-size : x-large;
	line-height :50px;
	text-align : center;
	color : black;
	background-color : #ccc;
	margin:0;
	padding:0;
	}
#section1 p{
padding-left:5%;
}

#section1 .photo{
	max-width: 240px; /* 画像の最大幅 */
}


/* 親要素image1　子要素img+description を横並びにする */
.image1 {
  display: flex; /* 子要素を横並びにする */
  align-items: center; /* 縦方向の中央揃え */
  gap: 20px; /* 画像とテキストの間の隙間 */
  /* flex-direction: row; (デフォルト) */
}
.image1 .img {
	max-width: 400px; /* 画像の最大幅 */
	height: auto;
	margin-left:20px;
	padding:20px;
	}

.image1 .description {
	font-size : large;  /* テキスト部分のスタイル */
	margin-right:30px;
}
/* トピックス画像がある場合.image1で処理 */

/* ===========セクション２ サークル　位置　右寄せ・左寄せ ====== */
#section2{
	padding-top :0px;
	}

#section2 h2{
	font-size : x-large;
	line-height :50px;
	text-align : center;
	color : black;
	background-color : #ccc;
	margin:0;
	padding:0;
	}
#section2 h3{
	font-size : large;
	line-height :2;
	text-align : left;
	color : black;
	background-color : #ccc;
	margin-top:50px;
	padding:0;
	}
#section2 h4{
	font-size : medium ;
	line-height :1.5;
	text-align : left;
	color : black;
	background-color : #cfc;
	margin:0;
	padding:0;
	}
#section2 p{
	font-size : medium;
	line-height :2;
	text-align : left;
	color : black;
/*	background-color : #ccc;*/
	margin:20px;
	padding:0;
	}
#section2 span{
	margin:0;
	padding-left:10px;
	padding-right:10px;
	}

/*  ボックスを使うときのために保存している  */
#section2 .circle{
	display: flex;
        flex:auto;
	flex-wrap: wrap;
	gap: 5px;
	}

#section2 .ivorybox{
	width:40%;
	margin-left:10px;
	background-color:ivory;
	padding:8px 15px;
	border-top-width : 1px;
	border-top-style : solid;
	border-top-color : silver;
	border-right-width : 10px;
	border-right-style : solid;
	border-right-color : silver;
	margin-bottom:30px;
	border-bottom-width : 12px;
	border-bottom-style : solid;
	border-bottom-color : #c4a3bf ;
	border-left-width : 1px;
	border-left-style : solid;
	border-left-color : silver;
	}

section2 .ivorybox p{
	margin:0;
	padding:0;
	}
/*  ボックスを使うときのために保存している２　year:広場バックナンバー  */
#section2 .year {
width:100%;
margin-left:2%
padding:3% 10%;
}
.year h3{
padding-left:5%;
}


/* 続きを読む1:削除 */

/* 　＝＝＝＝＝ここから続きを読む2＝＝＝＝＝　　 */
.accordion-box {
	position: relative;
}
.accordion-box label {
	height: 140px; /* グラデーションの高さ */
	cursor: pointer;
	text-align: center;
	font-size: 12px;
	position: absolute;
	bottom: 0;
	width: 100%;
  
	/* 以下グラデーションは「背景が白」に併せて設定しています */	
	background: -webkit-linear-gradient(top, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.95) 90%);
	background: -moz-linear-gradient(top, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.95) 90%);
	background: -o-linear-gradient(top, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.95) 90%);
	background: -ms-linear-gradient(top, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.95) 90%);
	background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.95) 90%);
}
.accordion-box input:checked + label {
	background: inherit; /* 開いた時には背景グラデーションを消す */
}
.accordion-box label:after {
	content: "続きをよむ"; /* ラベルの文字 */
	letter-spacing: .05em;
	line-height: 2.5rem;
	position: absolute;
	bottom: 20px;
	left: 50%;
	-webkit-transform: translate(-50%, 0);
	transform: translate(-50%, 0);
	color: #fff;
font-weight:bold;
	background-color: #666;
	width: 18.75rem;
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	border-radius: 20px;
}
.accordion-box label:before {
	content: "↓";
	font-weight: 700;
	position: absolute;
	bottom: 30px;
	left: 50%;
	-webkit-transform: translate(-140px, 0);
	transform: translate(-140px, 0);
	background-color: #fff;
	z-index: 1;
	-webkit-border-radius: 100%;
	-moz-border-radius: 100%;
	border-radius: 100%;
	width: 20px;
	height: 20px;
	line-height: 20px;
}
.accordion-box input {
	display: none;
}
.accordion-box .accordion-container {
	overflow: hidden;
	height: 200px; /* 開く前に見えている部分の高さ */
    -webkit-transition: all 0.1s;
    -moz-transition: all 0.1s;
    -ms-transition: all 0.1s;
    -o-transition: all 0.1s;
    transition: all 0.1s;
}

.accordion-box input:checked + label {
	/* display: none ; 閉じるボタンは要らないとき */
}
.accordion-box input:checked + label:after {
	content: "閉じる";
}
.accordion-box input:checked + label:before {
	content: "↑";
}
.accordion-box input:checked ~ .accordion-container {
    height: auto;
	padding-bottom: 80px; /* 閉じるボタンのbottomからの位置 */
    -webkit-transition: all 0.1s;
    -moz-transition: all 0.1s;
    -ms-transition: all 0.1s;
    -o-transition: all 0.1s;
    transition: all 0.1s;
}
/* ここまで続きを読む2 */

/*  ▲▲▲▲▲▲ここまで[サークル（本文）]エリア▲▲▲▲▲▲  */





/*     ▼▼▼サイドバーについての設定▼▼▼ */
.sidebar-toc {
  width: 250px; /* 目次の固定幅を指定 (例: 250px) */
  flex-shrink: 0; /* 幅を縮めないように設定 */
  /* flex-basis: 250px; としても同様の効果が得られます */
  /* 必要に応じて他のスタイル (background, padding, position: fixedなど) を追加 */
    background-color: #e9e9e9;
    padding: 15px;
    border:1px solid #ddd;
}
.sidebar-toc .btn1 {
background-color:#9cf;
text-align: center;
padding:3px 2px;
margin: 3px;
}
.sidebar-toc .btn1 h4{
font-size : small;
}

.sidebar-toc .btn1 a {
    background-color : #095DAD;
    box-shadow: 0px 4px rgba(0, 0, 0, .2);
    color: #fff;
    width:100%;
    font-weight: 700;
    padding: 0.5rem 2rem;
    text-decoration: none;
    border-bottom-width : 2px;
    border-bottom-style : solid;
    border-bottom-color : gray;
}

.sidebar-toc .btn1 a:hover {
background: linear-gradient(110.85deg, #095DAD 0%, #11af75 100.19%);
}


/* 会の概要（事務的）  */
/*  基本、パソコン対応  */
#section3 {
padding-top :80px;
text-aling:left;
padding-left : 20px;
background-color : #e9e9e9;
}

/* 役員紹介  */
#section3 h2{
font-size : x-large;
line-height :50px;
text-align : center;
color : black;
background-color : #ccc;
margin:0;
padding:0;
}
#section3 .flex{
display:flex;
}
#section3 .table1{
  display: table;
  width: 70%;
margin-bottom:20px;
padding-left:50px;
}

#section3 .rowbox {
  margin-left: 5px;
  border-right: 0px solid #888;
  border-bottom: 2px solid #aaa;
  border-left: 0px solid #888;
}
#section3 .bt2 {
  border-top: 2px solid #aaa;
}
#section3 .bb2 {
  border-bottom: 2px solid #aaa;
}
#section3 .col1box {
  display: table-cell;
  width: 12%;
  vertical-align: top;
  line-height: 20px;
  padding: 2px 5px 5px 5px;
  border-left: 2px solid #bbb;
}

#section3 .col2box {
  display: table-cell;
  width: 10%;
  vertical-align: top;
  line-height: 20px;
  padding: 2px 5px 5px 5px;
  border-left: 2px solid #bbb;
}
#section3 .col3box {
  display: table-cell;
  width: 16%;
  vertical-align: top;
  line-height: 20px;
  padding: 2px 5px 5px 5px;
  border-left: 2px solid #bbb;
  border-right: 2px solid #bbb;
}

#section3 div .col2box p {
  margin-top: 5px;
}
/*  */
footer{
clear : both;
color : white;
background-color : #281a2d;
height : 28px;
line-height : 150%;
width : 100%;
text-align : center;
}
footer a{
font-size : small;
font-weight : bold;
color : #d0f2cc;
}
/* ▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲▲ */



			/* ▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼ */

		/* ここからスマホ対応 */
		@media screen and (max-width: 768px){
			body{
			font-size: clamp(16px, 1.8vw, 30px);
			}

			nav{
			padding:0;
			margin:0;
			}
			nav li{
			width;30%;
			}
			.container {
	    		display: block; /* Flexboxコンテナとして設定したものを否定 */
			/*    min-height: 100vh; /*画面全体の高さを確保（必要に応じて調整） */
			}
			.main-content {
			width: 100%;
			padding: 0px;
			}


/* セクション１：会のイメージ（第一印象）  */
			#section1 {
			padding-left : 5%;
			}
			.image1 {
			display: block; /* 子要素を横並びにする */
			align-items: center; /* 縦方向の中央揃え */
			gap: 3%; /* 画像とテキストの間の隙間 */
  			/* flex-direction: row; (デフォルト) */
			}
			
			.image1 img {
	  		max-width: 100%; /* 画像の最大幅 */
	  		height: auto;
	  		margin-left:0px;
	  		padding:0px;
	  		}

			#section1 .description {
  /* テキスト部分のスタイル */
			font-size : large;
			margin-right:0px;
			}

			#section1 h2{
			font-size : x-large;
			line-height :50px;
			text-align : center;
			color : white;
			background-color : #000;
			margin:0;
			padding:0;
			}
			#section1 p{
			padding-left:2%;
			}


			/* ここからsection2に付いてのスマホ対応 */

/* =========== サークル　位置　右寄せ・左寄せ ====== */
			#section2 .circle{
			display: block;
		        flex:auto;
			flex-wrap: wrap;
			}

			#section2 .ivorybox{
			width:80%;
			margin-left:2%
			padding:3% 10%;
			margin-bottom:3%;
			border-bottom-width : 3%;
			border-bottom-style : solid;
			border-bottom-color : #c4a3bf ;
			border-right-width : 3%;
			border-right-style : solid;
			border-right-color : silver;
			}


			/* サイドバーについての設定 */
			.sidebar-toc {
			width:100%;
			margin:0;
			padding:0;
			}


			/* セクション３についての設定 */
			#section3 {
			padding-top :5%;
			padding-left: 2%;
			}

			/* 役員紹介  */
			#section3 .flex{
			display:block;
			}
			#section3 .table1{
 			 display:block;
 			 width: 90%;
			margin-bottom:0px;
			padding-left:0px;
			}

			#section3 .rowbox {
			  margin-left: 0px;
			  border-right: 0px solid #888;
			  border-bottom: 2px solid #aaa;
			  border-left: 0px solid #888;
			}
			#section3 .bt2 {
			  border-top: 2px solid #aaa;
			}
			#section3 .bb2 {
			  border-bottom: 2px solid #aaa;
			}
			#section3 .col1box {
			  display: table-cell;
			  width: 12%;
			vertical-align: top;
 	 		line-height: 2;
 			 padding: 0;
  			border-left: 2px solid #bbb;
			}

		#section3 .col2box {
		  display: table-cell;
		  width: 10%;
		  vertical-align: top;
		  line-height: 2;
		  padding: 2px 5px 5px 5px;
		  border-left: 2px solid #bbb;
		}
		#section3 .col3box {
		  display: table-cell;
		  width: 16%;
		  vertical-align: top;
		  line-height: 2;
		  padding: 2px 5px 5px 5px;
		  border-left: 2px solid #bbb;
		  border-right: 2px solid #bbb;
		}

		#section3 div .col2box p {
  		margin-top: 5px;
		}
	}



/* スマホ
　　　 @media screen and (max-width: 428px) {
　　　 ここにスマホ用のCSSを記述する
 　　　}
タブレット
 @media only screen and (min-width: 600px) and (max-width: 1024px) {
ここにタブレット用のCSSを記述
 }
パソコン
 @media screen and (min-width: 1024px) {
ここにPC用のCSSを記述する
 } */

